List versions of a material batch config
curl --request GET \
--url https://api.demo.cula.earth/tracking/v1/material-batch-configs/{id}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Cula-Organisation-Id: <cula-organisation-id>'import requests
url = "https://api.demo.cula.earth/tracking/v1/material-batch-configs/{id}/versions"
headers = {
"Cula-Organisation-Id": "<cula-organisation-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Cula-Organisation-Id': '<cula-organisation-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.demo.cula.earth/tracking/v1/material-batch-configs/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "mbtcv_01kgqrbj1xy7xebdf9easfa0wp",
"config_id": "mbtc_01kdpna98wj3apgan3j36w499h",
"name": "Biochar Production Batch",
"validity_period_type": "day_based",
"published_at": "2026-01-15T08:00:00Z"
}
],
"pagination": {
"starting_after": null,
"limit": 10,
"has_more": false,
"next_cursor": null
}
}{
"code": "bad_request",
"message": "The field limit must not be greater than 100."
}{
"code": "unauthorized",
"message": "Invalid or expired token"
}{
"code": "not_found",
"message": "Resource with ID xyz_01k56g7aec6dt5zrtamc72vw446 could not be found."
}{
"code": "internal_server_error",
"message": "Internal server error."
}Material Batches
List versions of a material batch config
GET
/
material-batch-configs
/
{id}
/
versions
List versions of a material batch config
Authorizations
OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.
Headers
ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.
Example:
"org_01k83mfmhgchya944v86ryvhpq"
Path Parameters
Example:
"mbtc_01kdpna98wj3apgan3j36w499h"
Query Parameters
Maximum number of items to return.
Required range:
1 <= x <= 50Cursor representing the item ID after which to start listing results.
Was this page helpful?